gdlmm: Gdl::Dock Class Reference

# Gdl::Dock Class Reference

Inherits Gdl::DockObject.

Collaboration diagram for Gdl::Dock:
[legend]

List of all members.

## Public Member Functions
virtual | ~Dock ()
GdlDock* | gobj ()
| Provides access to the underlying C GtkObject.
const GdlDock* | gobj () const
| Provides access to the underlying C GtkObject.
| Dock ()
| Dock (Dock& original, bool floating=false)
void | add_item (DockItem& item, DockPlacement place)
void | add_floating_item (DockItem& item, int x, int y, int width, int height)
DockItem* | get_item_by_name (const Glib::ustring& name) const
DockPlaceholder* | get_placeholder_by_name (const Glib::ustring& name) const
Glib::ListHandle< DockItem* > | get_named_items () const
Dock* | get_toplevel () const
void | xor_rect (GdkRectangle* rect)
Glib::PropertyProxy < Glib::ustring > | property_default_title ()
| Titre par défaut pour les objets détachables flottants nouvellement créés.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_default_title () const
| Titre par défaut pour les objets détachables flottants nouvellement créés.
Glib::PropertyProxy_ReadOnly < bool > | property_floating () const
| Indique si l'objet détachable flotte dans sa propre fenêtre.
Glib::PropertyProxy< int > | property_floatx ()
| Coordonnée X pour les objets détachables flottants.
Glib::PropertyProxy_ReadOnly< int > | property_floatx () const
| Coordonnée X pour les objets détachables flottants.
Glib::PropertyProxy< int > | property_floaty ()
| Coordonnée Y pour les objets détachables flottants.
Glib::PropertyProxy_ReadOnly< int > | property_floaty () const
| Coordonnée Y pour les objets détachables flottants.
Glib::PropertyProxy< int > | property_height ()
| Hauteur de l'objet détachable quand il est de type flottant.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| Hauteur de l'objet détachable quand il est de type flottant.
Glib::PropertyProxy< int > | property_width ()
| Largeur de l'objet détachable quand il est de type flottant.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| Largeur de l'objet détachable quand il est de type flottant.
Glib::SignalProxy0< void > | signal_layout_changed ()
## Protected Member Functions
virtual void | on_layout_changed ()
## Related Functions
(Note that these are not member functions.)
Gdl::Dock* | wrap (GdlDock* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::Dock::~Dock | ( |  | ) | `[virtual]`

Gdl::Dock::Dock | ( |  | ) | `[explicit]`

Gdl::Dock::Dock | ( | Dock& | original,
|  | bool | floating = `false` |
| ) |  |  | `[explicit]`

## Member Function Documentation

void Gdl::Dock::add_floating_item | ( | DockItem& | item,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  |

void Gdl::Dock::add_item | ( | DockItem& | item,
|  | DockPlacement | place |
| ) |  |  |

DockItem* Gdl::Dock::get_item_by_name | ( | const Glib::ustring & | name | ) | const

Glib::ListHandle<DockItem*> Gdl::Dock::get_named_items | ( |  | ) | const

DockPlaceholder* Gdl::Dock::get_placeholder_by_name | ( | const Glib::ustring & | name | ) | const

Dock* Gdl::Dock::get_toplevel | ( |  | ) | const

const GdlDock* Gdl::Dock::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

GdlDock* Gdl::Dock::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

virtual void Gdl::Dock::on_layout_changed | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gdl::Dock::property_default_title | ( |  | ) | const

Titre par défaut pour les objets détachables flottants nouvellement créés.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gdl::Dock::property_default_title | ( |  | ) |

Titre par défaut pour les objets détachables flottants nouvellement créés.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gdl::Dock::property_floating | ( |  | ) | const

Indique si l'objet détachable flotte dans sa propre fenêtre.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::Dock::property_floatx | ( |  | ) | const

Coordonnée X pour les objets détachables flottants.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gdl::Dock::property_floatx | ( |  | ) |

Coordonnée X pour les objets détachables flottants.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::Dock::property_floaty | ( |  | ) | const

Coordonnée Y pour les objets détachables flottants.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gdl::Dock::property_floaty | ( |  | ) |

Coordonnée Y pour les objets détachables flottants.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::Dock::property_height | ( |  | ) | const

Hauteur de l'objet détachable quand il est de type flottant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gdl::Dock::property_height | ( |  | ) |

Hauteur de l'objet détachable quand il est de type flottant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gdl::Dock::property_width | ( |  | ) | const

Largeur de l'objet détachable quand il est de type flottant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gdl::Dock::property_width | ( |  | ) |

Largeur de l'objet détachable quand il est de type flottant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy0< void > Gdl::Dock::signal_layout_changed | ( |  | ) |

Prototype:
  `void on_my_layout_changed()`

void Gdl::Dock::xor_rect | ( | GdkRectangle * | rect | ) |

## Friends And Related Function Documentation

Gdl::Dock* wrap | ( | GdlDock * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dock.h